# User Guide

- [Projects](https://docs-old.evidentlyai.com/user-guide/projects.md)
- [Projects overview](https://docs-old.evidentlyai.com/user-guide/projects/projects_overview.md): Introduction to Projects in Evidently Platform.
- [Manage Projects](https://docs-old.evidentlyai.com/user-guide/projects/add_project.md): Set up a Project for your evaluation or monitoring use case.
- [Tracing](https://docs-old.evidentlyai.com/user-guide/tracing.md)
- [Tracing overview](https://docs-old.evidentlyai.com/user-guide/tracing/tracing_overview.md): Introduction to tracing.
- [Set up tracing](https://docs-old.evidentlyai.com/user-guide/tracing/set_up_tracing.md): Set up LLM tracing with tracely.
- [Input data](https://docs-old.evidentlyai.com/user-guide/input-data.md)
- [Input data overview](https://docs-old.evidentlyai.com/user-guide/input-data/data-requirements.md): How to prepare the data to run Evidently Reports or Test Suites.
- [Column mapping](https://docs-old.evidentlyai.com/user-guide/input-data/column-mapping.md): How to use column mapping in Evidently.
- [Data for Classification](https://docs-old.evidentlyai.com/user-guide/input-data/classification_data.md): How to define the data schema for classification.
- [Data for Recommendations](https://docs-old.evidentlyai.com/user-guide/input-data/recsys_data.md): How to define the data schema for ranking and recommendations.
- [Load data to pandas](https://docs-old.evidentlyai.com/user-guide/input-data/load-data-to-pandas.md)
- [Tests and Reports](https://docs-old.evidentlyai.com/user-guide/tests-and-reports.md)
- [Reports and Tests Overview](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/introduction.md): Introduction to Reports and Test Suites.
- [Get a Report](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/get-reports.md): How to generate Reports using Evidently Python library.
- [Run a Test Suite](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/run-tests.md): How to run Test Suites using Evidently Python library.
- [Evaluate Text Data](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/text-descriptors.md): How to run evaluations for text data with Descriptors.
- [Output formats](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/output_formats.md): How to export the results of evaluations.
- [Generate multiple Tests or Metrics](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/test-metric-generator.md)
- [Run Evidently on Spark](https://docs-old.evidentlyai.com/user-guide/tests-and-reports/spark.md): How to run calculations on Spark.
- [Evaluations](https://docs-old.evidentlyai.com/user-guide/evaluations.md)
- [Evaluations overview](https://docs-old.evidentlyai.com/user-guide/evaluations/evals_overview.md): How to run evaluation workflows in Evidently Platform.
- [Generate snapshots](https://docs-old.evidentlyai.com/user-guide/evaluations/snapshots.md): How to run evals in Python and upload to Evidently Platform.
- [Run no code evals](https://docs-old.evidentlyai.com/user-guide/evaluations/no_code_evals.md): How to evaluate your data in a no-code interface.
- [Monitoring](https://docs-old.evidentlyai.com/user-guide/monitoring.md)
- [Monitoring overview](https://docs-old.evidentlyai.com/user-guide/monitoring/monitoring_overview.md): How to set up online evaluations and monitoring.
- [Batch monitoring](https://docs-old.evidentlyai.com/user-guide/monitoring/batch_monitoring.md): How to run batch monitoring workflows.
- [Collector service](https://docs-old.evidentlyai.com/user-guide/monitoring/collector_service.md): How to send data in near real-time using the Collector service.
- [Scheduled evaluations](https://docs-old.evidentlyai.com/user-guide/monitoring/scheduled_evals.md)
- [Send alerts](https://docs-old.evidentlyai.com/user-guide/monitoring/alerting.md): Get notifications in Slack or email.
- [Dashboard](https://docs-old.evidentlyai.com/user-guide/dashboard.md)
- [Dashboard overview](https://docs-old.evidentlyai.com/user-guide/dashboard/dashboard_overview.md): Introduction to Dashboards.
- [Pre-built Tabs](https://docs-old.evidentlyai.com/user-guide/dashboard/add_dashboard_tabs.md): Get a pre-built monitoring Dashboard using templates.
- [Panel types](https://docs-old.evidentlyai.com/user-guide/dashboard/design_dashboard.md): Overview of the available monitoring Panel types.
- [Adding Panels](https://docs-old.evidentlyai.com/user-guide/dashboard/design_dashboard_api.md): Design your Dashboard with custom Panels.
- [Datasets](https://docs-old.evidentlyai.com/user-guide/datasets.md)
- [Datasets overview](https://docs-old.evidentlyai.com/user-guide/datasets/datasets_overview.md): Introduction to Datasets in Evidently Platform.
- [Work with Datasets](https://docs-old.evidentlyai.com/user-guide/datasets/datasets_api.md): Working with Datasets on Evidently Platform.
- [Customization](https://docs-old.evidentlyai.com/user-guide/customization.md)
- [Data drift parameters](https://docs-old.evidentlyai.com/user-guide/customization/options-for-statistical-tests.md): How to set custom data drift conditions and thresholds for tabular and text data.
- [Embeddings drift parameters](https://docs-old.evidentlyai.com/user-guide/customization/embeddings-drift-parameters.md): How to customize data drift detection for embeddings.
- [Feature importance in data drift](https://docs-old.evidentlyai.com/user-guide/customization/feature-importance.md): How to show feature importance in Data Drift evaluations.
- [Text evals with LLM-as-judge](https://docs-old.evidentlyai.com/user-guide/customization/llm_as_a_judge.md): How to use external LLMs to score text data.
- [Text evals with HuggingFace](https://docs-old.evidentlyai.com/user-guide/customization/huggingface_descriptor.md): How to use models available on HuggingFace as text Descriptors.
- [Add a custom text descriptor](https://docs-old.evidentlyai.com/user-guide/customization/add-custom-descriptor.md): How to add custom text descriptors.
- [Add a custom drift method](https://docs-old.evidentlyai.com/user-guide/customization/add-custom-drift-method.md): How to implement a new drift detection method.
- [Add a custom Metric or Test](https://docs-old.evidentlyai.com/user-guide/customization/add-custom-metric-or-test.md)
- [Customize JSON output](https://docs-old.evidentlyai.com/user-guide/customization/json-dict-output.md): How to modify what is included in the Evidently JSON or Python dictionary output.
- [Show raw data in Reports](https://docs-old.evidentlyai.com/user-guide/customization/report-data-aggregation.md): How to change data aggregation in plots.
- [Add text comments to Reports](https://docs-old.evidentlyai.com/user-guide/customization/text-comments.md): How to add a widget with custom text.
- [Change color schema](https://docs-old.evidentlyai.com/user-guide/customization/options-for-color-schema.md): You can modify the colors in the Reports and Tests.
- [How-to guides](https://docs-old.evidentlyai.com/user-guide/how-to-guides.md): How-to guides.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/user-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
